Skip to main content
`Ctrl`+`K`

# PetscSectionSetNumFields

Sets the number of fields in a `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetNumFields(PetscSection s, PetscInt numFields)

Not Collective

## Input Parameters

- s - the `PetscSection`

- numFields - the number of fields

## Notes

Calling this destroys all the information in the `PetscSection` including the chart.

You must call `PetscSectionSetChart()` after calling this.

## See Also

PetscSection, `PetscSection`, `PetscSectionGetNumFields()`, `PetscSectionSetChart()`, `PetscSectionReset()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex11_sa.c
src/dm/impls/plex/tutorials/ex7.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages